Bug 242149 - www/nift: Update to v1.19
Summary: www/nift: Update to v1.19
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL: https://github.com/nifty-site-manager...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-11-21 21:09 UTC by Lewis Cook
Modified: 2019-11-26 11:51 UTC (History)
2 users (show)

See Also:
info: maintainer-feedback+


Attachments
updated port patch (838 bytes, patch)
2019-11-21 21:09 UTC, Lewis Cook
vulcan: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook 2019-11-21 21:09:12 UTC
Created attachment 209330 [details]
updated port patch

v0.19 release Notes:

* Added more error handling;
* Added string variables;
* Added rootBranch and siteBranch to config files;
* Changed/improved/finalised how pre/post build/serve scripts are done;
* Fixed @script[output] and @System[output/content];
* Added pre/post build-[all/updated] script support.

QA: portlint: looks fine. Poudriere: built successfully without error and application works as expected.
Comment 1 Automation User 2019-11-21 21:20:25 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/97700188
Comment 2 Lewis Cook 2019-11-21 21:38:55 UTC
(In reply to Lewis Cook from comment #0)
Little typo above the notes: s/0.19/1.19/.
Comment 3 Mohammad S. Babaei 2019-11-22 21:34:34 UTC
Thank you so much! I'll try the patch and report back soon.
Comment 4 Mohammad S. Babaei 2019-11-22 21:51:57 UTC
Thank you! It has my approval.
Comment 5 Mohammad S. Babaei 2019-11-25 17:35:11 UTC
I submitted a PR with a newer www/nift version. So, this can be closed now: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=242227
Comment 6 Lewis Cook 2019-11-26 10:55:15 UTC
Awesome, good work. I'll close the report now.
Comment 7 Jochen Neumeister freebsd_committer 2019-11-26 11:51:38 UTC
(In reply to Mohammad S. Babaei from comment #5)

For the next time, please update the open PR, and dont open a new PR. Thx!